Capture payout

View as MarkdownOpen in Claude

Captures a single authorized payout transaction by ID. If the transaction was authorized with autoCapture set to true, you don’t need to call this endpoint to capture the transaction for processing.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

referenceIdstringRequired
The ID for the payout transaction.

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Response

Success
responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring or null
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error